WordPress FTP Error Tidak bisa install plugin dan update theme

Pada beberapa wordpress yang saya install di VPS di digital ocean, ternyata mengalami masalah FTP Error. Gejala yang terjadi adalah: Tidak bisa install plugin, tidak bisa install theme, tidak bisa update theme, bahkan tidak bisa sekedar menambah post ataupun page.

Ternyata, permasalahannya adalah terkait dengan file dan folder permission.

Lalu, saya dapat tutorial dari digital ocean yaitu:

menggunakan perintah berikut melalui terminal SSH dengan akun root:

chown -R www-data:www-data /var/www
find /var/www/ -type d -exec chmod 755 {} \;
find /var/www/ -type f -exec chmod 644 {} \;

dan juga menambahkan code berikut kedalam wp-config

define('FSMETHOD’, 'direct’);

akhirnya berhasil menginstall theme dan plugin, juga update.

sumber artikelnya ada di bawah ini, kapan kapan akan saya kunjungi lagi jika butuh lagi:

https://www.digitalocean.com/community/questions/can-t-install-wordpress-themes-ftp-error

selain menjalankan kedua kode diatas, saya juga merubah setting apache2 yaitu di /etc/apache2/apache2.conf

saya cari kode:

<Directory /var/www/>
        Options Indexes FollowSymLinks
        AllowOverride None
        Require all granted
</Directory>

lalu diganti menjadi

<Directory /var/www/>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted
</Directory>

setelah itu, saya restart apachenya menggunakan perintah:

sudo systemctl restart apache2

sumbernya adalah:

https://stackoverflow.com/questions/18740419/how-to-set-allowoverride-all

Oh ya, saat itu permasalahan terjadi kebetulan pas saya menggunakan DIVI. dan saya dapatkan tutorial lainnya yang juga berhubungan:

https://diviextended.com/set-allowoverride-ubuntu-wordpress-permalink-work/

terimakasih. semoga tidak terjadi permasalahan permission lagi, kalaupun ada, semoga solusi yang pernah saya coba ini bisa berhasil lagi. Amiin.

Scroll to Top